/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workexample.entity;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 指标项目字典Entity
 * @author 杨帆
 * @version 2018-08-27
 */
public class WorkExampleInfo extends DataEntity<WorkExampleInfo> {

	private static final long serialVersionUID = 1L;
	private WorkExampleInfo parent;		// 父ID
	private String name;		// 指标名称
	private String parentIds;		// 所有父ID
	private String orderNum;		// 排序
	private String companyId;		// 公司ID
	private String isDisable;		// 是否禁用，0：否，1：是
	private String oneItems;		// 其中项
	private String itemUnit;		// 项单位
	private String decimalCount;		// 小数位数
	private String type;		// 小数位数
	private String view;
	private WorkExample workExample;		// 工程概况

	public WorkExampleInfo() {
		super();
	}

	public WorkExampleInfo(String id){
		super(id);
	}

	@JsonBackReference
	@ExcelField(title="父ID", align=2, sort=7)
	public WorkExampleInfo getParent() {
		return parent;
	}

	public void setParent(WorkExampleInfo parent) {
		this.parent = parent;
	}
	
	@ExcelField(title="指标名称", align=2, sort=8)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="所有父ID", align=2, sort=9)
	public String getParentIds() {
		return parentIds;
	}

	public void setParentIds(String parentIds) {
		this.parentIds = parentIds;
	}
	
	@ExcelField(title="排序", align=2, sort=10)
	public String getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(String orderNum) {
		this.orderNum = orderNum;
	}
	
	@ExcelField(title="公司ID", align=2, sort=11)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="是否禁用，0：否，1：是", align=2, sort=12)
	public String getIsDisable() {
		return isDisable;
	}

	public void setIsDisable(String isDisable) {
		this.isDisable = isDisable;
	}
	
	@ExcelField(title="其中项", align=2, sort=13)
	public String getOneItems() {
		return oneItems;
	}

	public void setOneItems(String oneItems) {
		this.oneItems = oneItems;
	}
	
	@ExcelField(title="项单位", align=2, sort=14)
	public String getItemUnit() {
		return itemUnit;
	}

	public void setItemUnit(String itemUnit) {
		this.itemUnit = itemUnit;
	}
	
	@ExcelField(title="小数位数", align=2, sort=15)
	public String getDecimalCount() {
		return decimalCount;
	}

	public void setDecimalCount(String decimalCount) {
		this.decimalCount = decimalCount;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getView() {
		return view;
	}

	public void setView(String view) {
		this.view = view;
	}

	public WorkExample getWorkExample() {
		return workExample;
	}

	public void setWorkExample(WorkExample workExample) {
		this.workExample = workExample;
	}
}